# -*- coding: utf-8 -*-
from ppms.migration import SQLPacket, PacketCategory, MinVersionDependency, MaxVersionDependency, VersionType


class AddNewInterfaceSQLObjects(SQLPacket):
    """Add new SQL objects necessary for the interface"""
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 14290

    sql_script = 'wi14290_interface_parameter.sql'

    def get_dependencies(self):
        return (MinVersionDependency(version='39.5.6', version_type=VersionType.CUSTOMIZING),
                MaxVersionDependency(version='39.5.6', version_type=VersionType.CUSTOMIZING))

    def fix(self, packet_runner):
        self.apply_rollback_ddl_file(self.sql_planta_de_dbms, self.sql_script, split=True)

        return self.success()